PyDictProxy (Jython API documentation)
Date: 2012-08-13

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Class PyDictProxy

    java.lang.Object
      org.python.core.PyObject
          org.python.core.PyDictProxy

All Implemented Interfaces:
  Serializable

    public class PyDictProxy

extends PyObject

Readonly proxy for dictionaries (actually any mapping).

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.python.core.PyObject
`PyObject.ConversionException`

Field Summary

Fields inherited from class org.python.core.PyObject
`TYPE`

Constructor Summary
`PyDictProxy(PyObject dict)`

Method Summary
`int` | `__cmp__(PyObject other)` Equivalent to the standard Python __cmp__ method.
`PyObject` | `__finditem__(PyObject key)` Very similar to the standard Python __getitem__ method.
`PyObject` | `__iter__()` Return an iterator that is used to iterate the element of this sequence.
`int` | `__len__()` Equivalent to the standard Python __len__ method.
`PyString` | `__str__()` Equivalent to the standard Python __str__ method.
`int` | `dictproxy___cmp__(PyObject other)`
`boolean` | `dictproxy___contains__(PyObject value)`
`PyObject` | `dictproxy___eq__(PyObject other)`
`PyObject` | `dictproxy___ge__(PyObject other)`
`PyObject` | `dictproxy___getitem__(PyObject key)`
`PyObject` | `dictproxy___gt__(PyObject other)`
`PyObject` | `dictproxy___le__(PyObject other)`
`PyObject` | `dictproxy___lt__(PyObject other)`
`PyObject` | `dictproxy___ne__(PyObject other)`
`PyObject` | `dictproxy_copy()`
`PyObject` | `dictproxy_get(PyObject key, PyObject default_object)`
`boolean` | `dictproxy_has_key(PyObject key)`
`PyObject` | `dictproxy_items()`
`PyObject` | `dictproxy_iteritems()`
`PyObject` | `dictproxy_iterkeys()`
`PyObject` | `dictproxy_itervalues()`
`PyObject` | `dictproxy_keys()`
`PyObject` | `dictproxy_values()`
`boolean` | `isMappingType()`
`boolean` | `isSequenceType()`

Methods inherited from class org.python.core.PyObject
`__abs__, __add__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delattr__, __delete__, __delitem__, __delitem__, __delslice__, __delslice__, __dir__, __div__, __divmod__, __eq__, __findattr__, __findattr__, __findattr_ex__, __finditem__, __finditem__, __float__, __floordiv__, __ge__, __get__, __getattr__, __getattr__, __getitem__, __getitem__, __getnewargs__, __getslice__, __getslice__, __gt__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ifloordiv__, __ilshift__, __imod__, __imul__, __index__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __iternext__, __itruediv__, __ixor__, __le__, __long__, __lshift__, __lt__, __mod__, __mul__, __ne__, __neg__, __nonzero__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __reduce__, __reduce_ex__, __reduce_ex__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __set__, __setattr__, __setattr__, __setitem__, __setitem__, __setitem__, __setslice__, __setslice__, __sub__, __tojava__, __truediv__, __unicode__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _doget, _doget, _doset, _eq, _floordiv, _ge, _gt, _iadd, _iand, _idiv, _idivmod, _ifloordiv, _ilshift, _imod, _imul, _in, _ior, _ipow, _irshift, _is, _isnot, _isub, _itruediv, _ixor, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _truediv, _xor, asDouble, asIndex, asIndex, asInt, asInt, asIterable, asLong, asLong, asName, asName, asString, asString, asStringOrNull, asStringOrNull, delDict, delType, dispatch__init__, equals, fastGetClass, fastGetDict, getDict, getType, hashCode, implementsDescrDelete, implementsDescrGet, implementsDescrSet, invoke, invoke, invoke, invoke, invoke, invoke, isCallable, isDataDescr, isIndex, isNumberType, noAttributeError, readonlyAttributeError, setDict, setType, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PyDictProxy

    public PyDictProxy(PyObject dict)

Method Detail

### __iter__

    public PyObject __iter__()

  Description copied from class: `PyObject`
  Return an iterator that is used to iterate the element of this sequence. From version 2.2, this method is the primary protocol for looping over sequences.

  If a PyObject subclass should support iteration based in the __finditem__() method, it must supply an implementation of __iter__() like this:

       public PyObject __iter__() {
           return new PySequenceIter(this);
       }

  When iterating over a python sequence from java code, it should be done with code like this:

       for (PyObject item : seq.asIterable()) {
           // Do somting with item
       }

  Overrides:
    `__iter__` in class `PyObject`

### __finditem__

    public PyObject __finditem__(PyObject key)

  Description copied from class: `PyObject`
  Very similar to the standard Python __getitem__ method. Instead of throwing a KeyError if the item isn't found, this just returns null. Classes that wish to implement __getitem__ should override this method instead (with the appropriate semantics.

  Overrides:
    `__finditem__` in class `PyObject`
  Parameters:
    `key` - the key to lookup in this container
  Returns:
    the value corresponding to key or null if key is not found

### __len__

    public int __len__()

  Description copied from class: `PyObject`
  Equivalent to the standard Python __len__ method. Part of the mapping discipline.

  Overrides:
    `__len__` in class `PyObject`
  Returns:
    the length of the object

### dictproxy___getitem__

    public PyObject dictproxy___getitem__(PyObject key)

### dictproxy___contains__

    public boolean dictproxy___contains__(PyObject value)

### dictproxy_has_key

    public boolean dictproxy_has_key(PyObject key)

### dictproxy_get

    public PyObject dictproxy_get(PyObject key,
                                  PyObject default_object)

### dictproxy_keys

    public PyObject dictproxy_keys()

### dictproxy_values

    public PyObject dictproxy_values()

### dictproxy_items

    public PyObject dictproxy_items()

### dictproxy_iterkeys

    public PyObject dictproxy_iterkeys()

### dictproxy_itervalues

    public PyObject dictproxy_itervalues()

### dictproxy_iteritems

    public PyObject dictproxy_iteritems()

### dictproxy_copy

    public PyObject dictproxy_copy()

### __cmp__

    public int __cmp__(PyObject other)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __cmp__ method.

  Overrides:
    `__cmp__` in class `PyObject`
  Parameters:
    `other` - the object to compare this with.
  Returns:
    -1 if this < o; 0 if this == o; +1 if this > o; -2 if no comparison is implemented

### dictproxy___cmp__

    public int dictproxy___cmp__(PyObject other)

### dictproxy___lt__

    public PyObject dictproxy___lt__(PyObject other)

### dictproxy___le__

    public PyObject dictproxy___le__(PyObject other)

### dictproxy___eq__

    public PyObject dictproxy___eq__(PyObject other)

### dictproxy___ne__

    public PyObject dictproxy___ne__(PyObject other)

### dictproxy___gt__

    public PyObject dictproxy___gt__(PyObject other)

### dictproxy___ge__

    public PyObject dictproxy___ge__(PyObject other)

### __str__

    public PyString __str__()

  Description copied from class: `PyObject`
  Equivalent to the standard Python __str__ method. This method should not typically need to be overridden. The easiest way to configure the string representation of a `PyObject` is to override the standard Java `toString` method.

  Overrides:
    `__str__` in class `PyObject`

### isMappingType

    public boolean isMappingType()

  Overrides:
    `isMappingType` in class `PyObject`

### isSequenceType

    public boolean isSequenceType()

  Overrides:
    `isSequenceType` in class `PyObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage